Subject: bug#58335: 28.2; Default font 'not available' when running dictionary

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 Oct 2022 21:06:17 +0300

> From: Alejandro Pérez Carballo <[email-masked]>
> Date: Thu, 6 Oct 2022 13:33:49 -0400
> Cc: [email-masked]
> 
> If I try
> 
> emacs -Q -fn Input
> 
> I get Emacs to open with Input as the default font just fine. 
> 
> 
> 
> I’ve been using Input with Emacs for over two years without any trouble. In what sense is Emacs rejecting it? 

Not Emacs (forgive me my inaccurate wording), but dictionary.el: it
wants a serif font, AFAIU, whereas Input is a sans-serif font.

I don't understand why dictionary insists on a serif font.  But the
fallback used there should not use a non-existent font family name.